BEGIN TRANSACTION;
CREATE TABLE IF NOT EXISTS "__gb_metadata_v2" (
	"sTableName"	TEXT NOT NULL,
	"iType"	INT4 NOT NULL,
	"sKey"	TEXT NOT NULL,
	"sValue"	TEXT,
	PRIMARY KEY("sTableName","iType","sKey")
);
CREATE TABLE IF NOT EXISTS "Makers" (
	"ID_Makers"	INTEGER NOT NULL,
	"Maker"	TEXT NOT NULL,
	"Notes"	TEXT,
	PRIMARY KEY("ID_Makers" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "Mounts" (
	"ID_mounts"	INTEGER NOT NULL,
	"Mount"	TEXT NOT NULL,
	"Notes"	TEXT,
	PRIMARY KEY("ID_mounts" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "lenses_old" (
	"ID_lenses"	INTEGER NOT NULL,
	"Make"	INTEGER NOT NULL,
	"DateBuy"	TEXT NOT NULL,
	"Mount"	INTEGER NOT NULL,
	"MaxAperture"	TEXT NOT NULL,
	"MinAperture"	TEXT NOT NULL,
	"FocalLength"	TEXT NOT NULL,
	"Type"	TEXT,
	"Colour"	TEXT,
	"SerialNr"	TEXT,
	"Label"	TEXT,
	"Comments"	TEXT,
	PRIMARY KEY("ID_lenses" AUTOINCREMENT)
);
CREATE TABLE IF NOT EXISTS "lenses" (
	"ID_lenses"	INTEGER NOT NULL,
	"Make"	INTEGER NOT NULL,
	"DateBuy"	TEXT NOT NULL,
	"Mount"	INTEGER NOT NULL,
	"MaxAperture"	TEXT NOT NULL,
	"MinAperture"	TEXT NOT NULL,
	"FocalLength"	TEXT NOT NULL,
	"Type"	TEXT,
	"Colour"	TEXT,
	"SerialNr"	TEXT,
	"Label"	TEXT,
	"Comments"	TEXT,
	"Order_No"	TEXT,
	"Production_era"	TEXT,
	"Variants"	TEXT,
	"Number_of_lenses_groups"	TEXT,
	"MFD"	TEXT,
	"Diaphragm_setting_type"	TEXT,
	"Angle_of_view"	TEXT,
	"Filter_type"	TEXT,
	"Accessories"	TEXT,
	"Materials"	TEXT,
	"Dimensions_diameter"	TEXT,
	"Weight"	TEXT,
	"Inscriptions"	TEXT,
	"Designer"	TEXT,
	PRIMARY KEY("ID_lenses" AUTOINCREMENT)
);
INSERT INTO "Makers" ("ID_Makers","Maker","Notes") VALUES (2,'Leica',NULL),
 (3,'Cosina','Cosina'),
 (4,'Zeiss','Zeiss Germany'),
 (5,'Tamron',NULL),
 (6,'Carl-Zeiss','Carl-Zeiss - Made in GDR'),
 (7,'Yashica',NULL),
 (8,'Cosina Voigtländer','Made in Japan'),
 (9,'Canon','Altes Canon-Bajonett');
INSERT INTO "Mounts" ("ID_mounts","Mount","Notes") VALUES (1,'M','Leica M-Mount'),
 (2,'M42','M42'),
 (3,'LTM','Leica''s M39');
INSERT INTO "lenses_old" ("ID_lenses","Make","DateBuy","Mount","MaxAperture","MinAperture","FocalLength","Type","Colour","SerialNr","Label","Comments") VALUES (1,2,'14.08.2018',1,'1.4','16','35','4','Black','3139751','Summilux 35mm Pre Asph II 1981',X'4f686e6520476567656e6c69636874626c656e646520756e64206f686e65204f5650206d697420646572204d31302067656b617566742e200a496e204265726c696e2c204d6569737465722d43616d6572612e'),
 (2,3,'10.08.2018',1,'1.4','16','35','M','Silber','132456',NULL,NULL),
 (4,2,'13.08.2018',1,'2.8','16','24','Elmarit','Schwarz','56546',NULL,NULL),
 (5,2,'12.06.2019',1,'1.0','16','50','IV','Schwarz','45613','Noctilux-M 1:1/50',NULL),
 (6,3,'06.10.2018',1,'1.1','16','50','M','Schwarz','123213','Voigtländer Nokton 50/1.1 ',NULL),
 (7,5,'12.12.2012',2,'2','12','28','d','Sc','132','test','testtest'),
 (8,5,'07.07.1977',2,'4','22','90','dsd','sd','212321654','Bez.Test','Beschreibung test'),
 (9,5,'09.09.2009',2,'3.4','22','135','sdf','fsdf','45646','test','test'),
 (10,5,'01.01.2011',2,'4','22','90','df','sdf','13213','test','test'),
 (11,5,'02.02.2002',2,'4','22','80','dfssdf','adfaf','46546','test','test'),
 (12,3,'20.10.2020',2,'1.4','16','55',NULL,'Black','n/a','Cosina Cosinon 55mm 1:1.4',X'5365636f6e642068616e642062757420696e2061207665727920676f6f642073686170652e20436f737420e282ac3335206f6e2074686520496e7465726e65742e0a444f4620616e6420426f6b656820697320657863656c6c656e742061742066312e342c207665727920736d6f6f746820616e6420736f66742e');
INSERT INTO "lenses" ("ID_lenses","Make","DateBuy","Mount","MaxAperture","MinAperture","FocalLength","Type","Colour","SerialNr","Label","Comments","Order_No","Production_era","Variants","Number_of_lenses_groups","MFD","Diaphragm_setting_type","Angle_of_view","Filter_type","Accessories","Materials","Dimensions_diameter","Weight","Inscriptions","Designer") VALUES (1,2,'14.08.2018',1,'1.4','16','35','4','Black','3139751','Summilux 35mm Pre Asph II 1981','No Lens hood and w/o box. ','11870-black - 11860-titan - 11871-M3 (w/ specs) ','1967-1995 < 28,550 lenses','Black, titanium, M3, ELC, ELW and 1913-1983 anniversary versions','7 /5','1 m /3.28 ft - 0.65 m (M3)','10-blade','diagonal - 64 degrees','None (Series VII, E41 with 12504 hood)','Hood: 12504, 12526',NULL,'Diameter - 46.5 mm / 1.83 in','245 g /8.64 oz','LEICA SUMMILUX-M 1:1.4/35 3XXXXXX - LEITZ CANADA 2XXXXXX SUMMILUX 1:1.4/35','Walter Mandler'),
 (2,3,'10.08.2018',1,'1.4','16','35','M','Silber','132456','Test Cosina',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (4,2,'13.08.2018',1,'2.8','16','24','Elmarit','Schwarz','56546','Elmarit-M 1:2,8/24 ASPH.',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (5,2,'12.06.2019',1,'1.0','16','50','IV','Schwarz','45613','Noctilux-M 1:1/50',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (6,3,'06.10.2018',1,'1.1','16','50','M','Schwarz','123213','Voigtländer Nokton 50/1.1 ',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (7,5,'12.12.2012',2,'2','12','28','d','Sc','132','test','testtest',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (8,5,'07.07.1977',2,'4','22','90','dsd','sd','212321654','Bez.Test','Description test case 1',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (9,5,'09.09.2009',2,'3.4','22','135','sdf','fsdf','45646','test','test',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (10,5,'01.01.2017',2,'4','22','90','df','sdf','13213','test','test',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (11,5,'12.01.2021',2,'4','22','80','dfssdf','adfaf','46546','test','test',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL),
 (12,3,'20.10.2020',2,'1.4','16','55',NULL,'Black','n/a','Cosina Cosinon 55mm 1:1.4',X'5365636f6e642068616e642062757420696e2061207665727920676f6f642073686170652e20436f737420e282ac3335206f6e2074686520496e7465726e65742e0a444f4620616e6420426f6b656820697320657863656c6c656e742061742066312e342c207665727920736d6f6f746820616e6420736f66742e',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);
CREATE UNIQUE INDEX IF NOT EXISTS "ID_lenses" ON "lenses" (
	"ID_lenses"	ASC
);
CREATE VIEW "vwLenses" AS select * from lenses;
COMMIT;
